<?php
/**
 * Navigation Class
 *
 * @package errigal
 * @since 1.1.0
 */

namespace Errigal\Navigation;

defined( 'ABSPATH' ) || exit;

use Errigal\Constant\{
	Errigal_Navigation_Class as Navigation_Class,
	Errigal_Navigation_Hook as Navigation_Hook,
};
use Errigal\Shared\Errigal_Utility as Utility;

/**
 * This class is in charge of providing navigation settings and functions.
 *
 * @since 1.1.0
 */
class Errigal_Navigation {
	/**
	 * Gets main navigation classes.
	 *
	 * @since 1.1.0
	 *
	 * @return string[]
	 */
	public static function get_main_navigation_classes() {
		/**
		 * Filters main navigation classes.
		 *
		 * @since 1.1.0
		 *
		 * @param string[] $classes Main navigation class names.
		 */
		$classes = apply_filters(
			Navigation_Hook::MAIN_NAVIGATION_CLASSES,
			array(
				Navigation_Class::MAIN_NAVIGATION,
			)
		);

		return Utility::sanitise_classes( $classes );
	}

	/**
	 * Gets main navigation name.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	public static function get_main_navigation_name() {
		return esc_html__( 'Main navigation', 'errigal' );
	}

	/**
	 * Gets menu label.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	public static function get_menu_label() {
		return esc_html__( 'Menu', 'errigal' );
	}
}
